diff --git a/.dbeaver/credentials-config.json b/.dbeaver/credentials-config.json
new file mode 100644
index 000000000..d814bdfcf
--- /dev/null
+++ b/.dbeaver/credentials-config.json
@@ -0,0 +1,3 @@
+þ4ƒkÐêË1°,•ßfòbìAìqÄ¬céß#¾›ö¾ýø#s’8-À1‰&»;ðöã"¢ôùì7€d¥jM?‘bljfB¼ƒqÁ=
+ÛÖmyô¿
+vú·´V 
\ No newline at end of file
diff --git a/.dbeaver/data-sources.json b/.dbeaver/data-sources.json
new file mode 100644
index 000000000..096f0d57e
--- /dev/null
+++ b/.dbeaver/data-sources.json
@@ -0,0 +1,32 @@
+{
+	"folders": {},
+	"connections": {
+		"mariaDB-1813fbbc7bc-107c0b3aeaeb91ab": {
+			"provider": "mysql",
+			"driver": "mariaDB",
+			"name": "gradido",
+			"save-password": true,
+			"read-only": false,
+			"configuration": {
+				"host": "localhost",
+				"port": "3306",
+				"url": "jdbc:mariadb://localhost:3306/",
+				"home": "mysql_client",
+				"type": "dev",
+				"auth-model": "native",
+				"handlers": {}
+			}
+		}
+	},
+	"connection-types": {
+		"dev": {
+			"name": "Development",
+			"color": "255,255,255",
+			"description": "Regular development database",
+			"auto-commit": true,
+			"confirm-execute": false,
+			"confirm-data-change": false,
+			"auto-close-transactions": false
+		}
+	}
+}
\ No newline at end of file
diff --git a/.gitignore b/.gitignore
index 08ccd2b30..ced6746aa 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,6 +1,5 @@
-.dbeaver
-.project
 *.log
+*.bak
 /node_modules/*
 messages.pot
 nbproject
diff --git a/.project b/.project
new file mode 100644
index 000000000..5d9663f32
--- /dev/null
+++ b/.project
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>Gradido</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.wst.validation.validationbuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.jkiss.dbeaver.DBeaverNature</nature>
+		<nature>org.eclipse.wst.jsdt.core.jsNature</nature>
+	</natures>
+</projectDescription>
diff --git a/backend/src/config/index.ts b/backend/src/config/index.ts
index 1adc68981..5736e6d8a 100644
--- a/backend/src/config/index.ts
+++ b/backend/src/config/index.ts
@@ -10,7 +10,7 @@ Decimal.set({
 })
 
 const constants = {
-  DB_VERSION: '0037-drop_server_user_table',
+  DB_VERSION: '0038-add_contribution_links_table',
   DECAY_START_TIME: new Date('2021-05-13 17:46:31-0000'), // GMT+0
   LOG4JS_CONFIG: 'log4js-config.json',
   // default log level on production should be info
diff --git a/database/entity/0037-drop_server_user_table/User.ts b/database/entity/0037-drop_user_setting_table/User.ts
similarity index 100%
rename from database/entity/0037-drop_server_user_table/User.ts
rename to database/entity/0037-drop_user_setting_table/User.ts
diff --git a/database/entity/0038-add_contribution_links_table/ContributionLink.ts b/database/entity/0038-add_contribution_links_table/ContributionLink.ts
new file mode 100644
index 000000000..496f57d71
--- /dev/null
+++ b/database/entity/0038-add_contribution_links_table/ContributionLink.ts
@@ -0,0 +1,88 @@
+import Decimal from 'decimal.js-light'
+import { BaseEntity, Entity, PrimaryGeneratedColumn, Column, DeleteDateColumn } from 'typeorm'
+import { DecimalTransformer } from '../../src/typeorm/DecimalTransformer'
+
+@Entity('contribution_links')
+export class ContributionLink extends BaseEntity {
+  @PrimaryGeneratedColumn('increment', { unsigned: true })
+  id: number
+
+  @Column({ length: 100, nullable: false, collation: 'utf8mb4_unicode_ci' })
+  name: string
+
+  @Column({ length: 255, nullable: false, collation: 'utf8mb4_unicode_ci' })
+  memo: string
+
+  @Column({ name: 'valid_from', type: 'datetime', nullable: false })
+  validFrom: Date
+
+  @Column({ name: 'valid_to', type: 'datetime', nullable: true, default: null })
+  validTo: Date | null
+
+  @Column({
+    type: 'decimal',
+    precision: 40,
+    scale: 20,
+    nullable: false,
+    transformer: DecimalTransformer,
+  })
+  amount: Decimal
+
+  @Column({ length: 12, nullable: false, collation: 'utf8mb4_unicode_ci' })
+  cycle: string
+
+  @Column({ name: 'max_per_cycle', unsigned: true, nullable: false, default: 1 })
+  maxPerCycle: number
+
+  @Column({
+    name: 'max_amount_per_month',
+    type: 'decimal',
+    precision: 40,
+    scale: 20,
+    nullable: true,
+    default: null,
+    transformer: DecimalTransformer,
+  })
+  maxAmountPerMonth: Decimal | null
+
+  @Column({
+    name: 'total_max_count_of_contribution',
+    type: 'int',
+    unsigned: true,
+    nullable: true,
+    default: null,
+  })
+  totalMaxCountOfContribution: number | null
+
+  @Column({
+    name: 'max_account_balance',
+    type: 'decimal',
+    precision: 40,
+    scale: 20,
+    nullable: true,
+    default: null,
+    transformer: DecimalTransformer,
+  })
+  maxAccountBalance: Decimal | null
+
+  @Column({
+    name: 'min_gap_hours',
+    type: 'int',
+    unsigned: true,
+    nullable: true,
+    default: null,
+  })
+  minGapHours: number | null
+
+  @Column({ name: 'created_at', type: 'datetime', default: () => 'CURRENT_TIMESTAMP' })
+  createdAt: Date
+
+  @DeleteDateColumn({ name: 'deleted_at' })
+  deletedAt: Date | null
+
+  @Column({ length: 24, nullable: false, collation: 'utf8mb4_unicode_ci' })
+  code: string
+
+  @Column({ name: 'link_enabled', type: 'boolean', default: true })
+  linkEnabled: boolean
+}
diff --git a/database/entity/ContributionLink.ts b/database/entity/ContributionLink.ts
new file mode 100644
index 000000000..c7e4e2b7e
--- /dev/null
+++ b/database/entity/ContributionLink.ts
@@ -0,0 +1 @@
+export { ContributionLink } from './0038-add_contribution_links_table/ContributionLink'
diff --git a/database/entity/User.ts b/database/entity/User.ts
index 6983f293b..2d434799e 100644
--- a/database/entity/User.ts
+++ b/database/entity/User.ts
@@ -1 +1 @@
-export { User } from './0037-drop_server_user_table/User'
+export { User } from './0037-drop_user_setting_table/User'
diff --git a/database/entity/index.ts b/database/entity/index.ts
index 46d9ef31a..991e482e9 100644
--- a/database/entity/index.ts
+++ b/database/entity/index.ts
@@ -1,3 +1,4 @@
+import { ContributionLink } from './ContributionLink'
 import { LoginElopageBuys } from './LoginElopageBuys'
 import { LoginEmailOptIn } from './LoginEmailOptIn'
 import { Migration } from './Migration'
@@ -8,6 +9,7 @@ import { AdminPendingCreation } from './AdminPendingCreation'
 
 export const entities = [
   AdminPendingCreation,
+  ContributionLink,
   LoginElopageBuys,
   LoginEmailOptIn,
   Migration,
diff --git a/database/migrations/0037-drop_server_user_table.ts b/database/migrations/0037-drop_user_setting_table.ts
similarity index 100%
rename from database/migrations/0037-drop_server_user_table.ts
rename to database/migrations/0037-drop_user_setting_table.ts
diff --git a/database/migrations/0038-add_contribution_links_table.ts b/database/migrations/0038-add_contribution_links_table.ts
new file mode 100644
index 000000000..f983644cc
--- /dev/null
+++ b/database/migrations/0038-add_contribution_links_table.ts
@@ -0,0 +1,35 @@
+/* MIGRATION TO ADD CONTRIBUTION_LINKS
+ *
+ * This migration adds the table `contribution_links` in order to store all sorts of contribution_links data
+ */
+
+/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
+/* eslint-disable @typescript-eslint/no-explicit-any */
+
+export async function upgrade(queryFn: (query: string, values?: any[]) => Promise<Array<any>>) {
+  await queryFn(`
+      CREATE TABLE IF NOT EXISTS \`contribution_links\` (
+        \`id\` int(10) unsigned NOT NULL AUTO_INCREMENT,
+        \`name\` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
+        \`memo\` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
+        \`valid_from\` datetime NOT NULL,
+        \`valid_to\` datetime NULL,
+        \`amount\` bigint(20) NOT NULL,
+        \`cycle\` varchar(12) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'ONCE',
+        \`max_per_cycle\` int(10) unsigned NOT NULL DEFAULT '1',
+        \`max_amount_per_month\` bigint(20) NULL DEFAULT NULL,
+        \`total_max_count_of_contribution\` int(10) unsigned NULL DEFAULT NULL,
+        \`max_account_balance\` bigint(20) NULL DEFAULT NULL,
+        \`min_gap_hours\` int(10) unsigned NULL DEFAULT NULL,
+        \`created_at\` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
+        \`deleted_at\` datetime NULL DEFAULT NULL,
+        \`code\` varchar(24) COLLATE utf8mb4_unicode_ci NOT NULL,
+        \`link_enabled\` tinyint(4) NOT NULL DEFAULT '1',
+        PRIMARY KEY (\`id\`)
+      ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;`)
+}
+
+export async function downgrade(queryFn: (query: string, values?: any[]) => Promise<Array<any>>) {
+  // write downgrade logic as parameter of queryFn
+  await queryFn(`DROP TABLE IF EXISTS \`contribution_links\`;`)
+}
